Adding a sub-task with zero estimated time erases parents value

2013-04-15 22:32 - Matthew Basset

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues planning Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate   

Description

Redmine has a feature that when you add a ticket as a subtask the parent task automatically aggregates a number of values from

the children. Once area which this dosen't work well for all the time is the estimation field. For example when our devs are issued

new features or components they generally break them down into subtasks. However once they add the first sub-task the estimate

on the parent is erased making it difficult for us to track the spent vs estimates for the parent.

We have tried to work around this by:

Automatically adding a new subtask when creating the feature ticket that contains all estimated time. This however throws off

the status of the parent ticket which ends up being having a heavily weight % complete.

Breaking down the feature as best as possible at beginning of project. This can be impossible sometime until other features or

components are completed.

We would like a feature that allows for enabling/disabling this functionality on a parent ticket. We are pretty sure it still exists in the

database and the feature would work by simply displaying the parent estimated value when all its children's values are null.

We are currently running a standard Redmine 2.3.x version.

Related issues:

Related to Redmine - Feature #6687: Making an issue a subtask leads to loss o... New 2010-10-18

Is duplicate of Redmine - Defect #16092: Parent/subtask: calculation of estim... Closed

History

#1 - 2013-04-16 08:05 - Toshi MARUYAMA

- Description updated

#2 - 2013-04-30 18:52 - Matthew Basset

Anyone have thoughts on this?

#3 - 2013-07-04 14:26 - Matthew Basset

Does anyone know of a way to work around this type of issue. I've looked through various plugins but nothing really achieves this.

#4 - 2013-07-04 21:14 - Mischa The Evil

- Related to Feature #6687: Making an issue a subtask leads to loss of issue-property values added

#5 - 2013-07-29 14:40 - Matthew Basset

I agree that #6687 sounds like it may solve the problem. The current implementation makes it very difficult to manage a project that may have many

subtasks to each larger parent task. Especially when using an agile style methodology where things can change.

#6 - 2016-12-25 07:58 - Go MAEDA

- Is duplicate of Defect #16092: Parent/subtask: calculation of estimated hours added

#7 - 2016-12-25 07:58 - Go MAEDA

- Status changed from New to Closed

- Resolution set to Duplicate

Fixed by #16092.
